fop 2.3

## org.apache.fop.pdf
Class PDFTransitionAction.Resolver

    java.lang.Object
      org.apache.fop.pdf.PDFTransitionAction.Resolver

Enclosing class:
  PDFTransitionAction

    public abstract static class PDFTransitionAction.Resolver

extends java.lang.Object

Constructor Summary
`PDFTransitionAction.Resolver(PDFTransitionAction action, java.lang.Object extension)`

Method Summary
`PDFTransitionAction` `getAction()`
`java.lang.Object` `getExtension()`
`protected void` `performResolution()`
`void` `resolve()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFTransitionAction.Resolver

    public PDFTransitionAction.Resolver(PDFTransitionAction action,
                                        java.lang.Object extension)

Method Detail

### getAction

    public PDFTransitionAction getAction()

### getExtension

    public java.lang.Object getExtension()

### resolve

    public void resolve()

### performResolution

    protected void performResolution()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.